Foreman - Bug #29681

puppet facts exclude filter star wildcard not working as expected
05/03/2020 02:47 PM - Shira Maximov

Status: Closed
Priority: Normal
Assignee: Dominik Matoulek
Category: Facts
Target version:
Difficulty: Fixed in Releases: 3.0.0
Triaged: No Found in Releases:
Bugzilla link: 1759111 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/8551
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1759111

Description of problem:
When we set an exclude filter in Administer > Settings > Provisioning > 'Exclude pattern for facts stored in satellite’ and use the star
wildcard, the filter is not working as expected. For example filter set as:

docker*
will also exclude facts like:
blah_docker_blah

i.e. facts where the string is included in the middle of the fact and not only on the beginning. | would expect that the filter to exclude
docker in the middle of the string should be written like:

docker

How reproducible:
Always

Steps to Reproduce:

1. On a system create custom Puppet Fact called blah_docker_blah

2. Run 'puppet agent -t' on the client to propagate the fact to Satellite

3. Navigate to Hosts > All Hosts, choose the host and click the Facts button

4. Filter the facts for docker - no result will be shown

5. Check the exclude filter in Administer > Settings > Provisioning > 'Exclude pattern for facts stored in satellite’
6. The exclude filter docker* is present there by default

Actual results:
Facts with the docker string included in the middle are filtered out.

Expected results:
Facts with the docker string included in the middle will remain reported.

Associated revisions

Revision fc082e8d - 07/30/2021 09:59 AM - Dominik Matoulek
Fixes #29681 - Fixing bad regex for excluding facts

Foreman uses facts from many tools like Ansible or Puppet to gather
facts about hosts. These facts are also full of facts that foreman don't

care about. That's why Excluded facts setting exist. It has some bugs
that makes fact definiton for excluding hard.

History
https://bugzilla.redhat.com/show_bug.cgi?id=1759111

#1 - 05/04/2020 06:59 AM - Tomer Brisker

- Subject changed from [Satellite 6] puppet facts exclude filter star wildcard not working as expected to puppet facts exclude filter star wildcard not
working as expected

#2 - 05/25/2021 12:21 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Dominik Matoulek

- Pull request https://github.com/theforeman/foreman/pull/8551 added

#3 - 07/30/2021 09:59 AM - The Foreman Bot
- Fixed in Releases 3.0.0 added

#4 - 07/30/2021 10:08 AM - Dominik Matoulek
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|fc082e8d753ead827e3ad0f16773008621f684b6.
